\ProvidesPackage{beamercmds}[2020/02/15]

\providecommand{\titleframe}[1]
{
  \begin{frame}
    \begin{block}
    {\centering\Large#1 }
    \end{block}
  \end{frame}
}

\providecommand{\partcontentframe}{
  \begin{frame}
    \frametitle{\insertpart}
    \tableofcontents[hideallsubsections]
  \end{frame}
}

\providecommand{\sectioncontentframe}{
  \begin{frame}
    \frametitle{\insertpart}
    \tableofcontents[
      sectionstyle=show/shaded,
      subsectionstyle=show/show/hide,
      subsubsectionstyle=hide]
  \end{frame}
}

\providecommand{\subsectioncontentframe}{
  \begin{frame}
    \frametitle{\insertpart}
    \tableofcontents[
      sectionstyle=show/shaded,
      subsectionstyle=show/shaded/hide,
      subsubsectionstyle=hide]
  \end{frame}
}

\endinput